---
title: Fetch all apps
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Apps](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch all apps

client.RealtimeKit.Apps.Get(ctx, params) (\*[AppGetResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/apps

Fetch all apps for your account

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

<details>

<summary>

params AppGetParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

PageNo param.Field\[int64]Optional

Query param: The page number from which you want your page search results to be displayed.

minimum1

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20page_no">Link to this property</a>

PerPage param.Field\[int64]Optional

Query param: Number of results per page.

minimum1

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

Search param.Field\[string]Optional

Query param: Search string that matches apps by name.

maxLength125

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20search">Link to this property</a>

<details>

<summary>

SortOrder param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/apps/methods/get#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)">AppGetParamsSortOrder</a>]Optional

Query param: Sort order for apps by creation time.

</summary>

const AppGetParamsSortOrderAsc <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/apps/methods/get#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)">AppGetParamsSortOrder</a> = "ASC"

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const AppGetParamsSortOrderDesc <a href="https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/apps/methods/get#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)">AppGetParamsSortOrder</a> = "DESC"

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sort_order%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sort_order">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.apps%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AppGetResponse struct{…}

</summary>

<details>

<summary>

Data \[]AppGetResponseDataOptional

</summary>

ID stringOptional

formatuuid

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt TimeOptional

formatdate-time

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20created_at">Link to this property</a>

Name stringOptional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

<details>

<summary>

Paging AppGetResponsePagingOptional

</summary>

EndOffset float64Optional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20paging%20%3E%20(property)%20end_offset">Link to this property</a>

StartOffset float64Optional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20paging%20%3E%20(property)%20start_offset">Link to this property</a>

TotalCount float64Optional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20paging%20%3E%20(property)%20total_count">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20paging">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)>)

### Fetch all apps

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  app, err := client.RealtimeKit.Apps.Get(context.TODO(), realtime_kit.AppGetParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", app.Data)
}
```

200 example

```
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}
```